Bug 230071 - Review Request: libkexiv2 - A library to manipulate EXIF/IPTC information
Review Request: libkexiv2 - A library to manipulate EXIF/IPTC information
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks: 231473
  Show dependency treegraph
 
Reported: 2007-02-26 09:25 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-09 08:06:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2007-02-26 09:25:43 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/libkexiv2.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/libkexiv2-0.1.1-1.src.rpm

Description: A library to manipulate EXIF/IPTC information

Needed for newer digikam versions.
Comment 1 manuel wolfshant 2007-02-27 05:24:34 EST
The Description is a bit terse. May I suggest "A wrapper for Exiv2 library to
manipulate picture metadata, used by kipi-plugins, digiKam and other kipi host
applications." ?
Comment 2 Rex Dieter 2007-02-27 07:02:23 EST
It's just what is in the README. (:  Besides, only digikam uses it, for now, but
I'd rather not mention client apps, since that could likely change.
Comment 3 manuel wolfshant 2007-02-27 13:23:22 EST
I know. But their web site / sf repository is a bit more informative. If not for
the presence of "exif" in the description, I would have had absolutely no idea
what's the purpose of the library, especially since "exiv" rang no bells. In my
opinion, the presence of "picture metadata" and/or "digikam" would be better hints.
My suggestion was based on info retrieved from upstream's web site.
Comment 4 Rex Dieter 2007-02-27 14:38:20 EST
OK, I'm convinced, and will include it in the next pkg update (after someone
comits to doing a pkg review).
Comment 5 manuel wolfshant 2007-02-27 15:37:09 EST
Well, just to push you a bit
1. There is a typo error in %clean:
rm -rf $FPM_BUILD_ROOT

2. mock build fails with:

checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for kde-config... not found
configure: error: The important program kde-config was not found!
Please check whether you installed KDE correctly.

error: Bad exit status from /var/tmp/rpm-tmp.91758 (%build)

=> kdelibs is missing as BR.
Adding that, build fails again, this time with:
checking for vsnprintf... yes
checking for snprintf... yes
checking for X... configure: error: Can't find X includes. Please check your
installation and add the correct path
s!
error: Bad exit status from /var/tmp/rpm-tmp.6018 (%build)
=> kdelibs-devel is missing as BR

So, please add kdelibs-devel as BR, correct the FPM into RPM and I'll try to do
a review. It would the first one for a package which relies on pkgconfig, so
please be kind to me :)
Comment 6 Rex Dieter 2007-02-27 15:41:30 EST
crud, I coulda sworn I did a mock build prior to package submission... oh well. (:
Comment 7 Rex Dieter 2007-02-27 15:53:47 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/libkexiv2.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/libkexiv2-0.1.1-2.src.rpm

%changelog
* Tue Feb 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1.1-2
- fix %%clean
- update %%description
- BR: kdelibs-devel
Comment 8 manuel wolfshant 2007-02-28 20:42:00 EST
First of all, it would have been nice if the URL of spec from comment #7 would
have been the modified one.
Second, I think that the Description tag in -devel should match the one from the
main package. You have modified only the main one...

As a comment prior to the review: examining the build log and then the sources,
I have noticed that %configure looks for doxygen and some doxygen related
scripts seem to exist in the admin directory. Unfortunately my experience with
doxygen is limited to installing it via yum. Just adding doxygen as BR makes
configure pick it, but nothing seems to be changed afterwards: nothing is built
in the admin directory andthe build log has some failures which _seem_ to look
like missing QT requirements. Explicitely requiring qt-devel does not help
either and unfortunately the machine where I have done all the tests just
suffered yet another kernel crash. OTOH the admin folder does not seem to
contain anything else but a bunch of scripts so I guess there is no need to
struggle with it (could be a leftover from a more comprehensive package from
which this tar has been separated). If I am wrong here, I would appreciate if
someone would correct me.

Good:

- rpmlint checks do not return anything on the source and binary rpm. the -devel
package gives:
W: libkexiv2-devel no-documentation
which I guess that can be ignored. The doc is in the main package.
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream, is the latest available version, sha1sum
 7218bb8b81955fc4ef376f302bda9b94bd2b68bd  libkexiv2-0.1.1.tar.bz2
- package compiles on devel (x86_64 and i386)
- no missing BR
- no unnecessary BR
- no locales 
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/directories
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- not a GUI so no need for .desktop file 
- devel package ok
- no .la files (correctly removed in %install)
- post/postun ldconfig ok
- devel correctly requires pkgconfig
- separation of libs between main and devel packages respects versioning (once
again, I kindly ask someone more experienced to verify and correct me if I am wrong)


SHOULD
- successfully builds in mock for fc6 and devel, i386 and x86_64
warning:  I cannot verify if the libs are actually working, nothing to test them
with
- no scriptlets except usage of ldconfig which is OK
- pkgconfig(.pc) files are in -devel
- devel requires the base package using a fully versioned dependency.

What I would like to see
- including of AUTHORS, ChangeLog and maybe even the RELEASE.rev files as %doc
- the same Description in -devel as in main
Both are minor and non blockers, they can be fixed before uploading to cvs.

From my point of view the package is OK (minus the minor caveats I have
mentioned ). However I kindly ask someone more experienced to have a second
look, therefore I will leave this bug in REVIEW state for another day or two.
Comment 9 manuel wolfshant 2007-02-28 20:45:01 EST
I take that back, description in %devel is just fine. I was looking in a wrong
place. Sorry :(
Comment 10 manuel wolfshant 2007-03-06 04:28:34 EST
No comments in one week, switching to APPROVED.
Comment 11 Rex Dieter 2007-03-06 13:23:06 EST
New Package CVS Request
=======================
Package Name: libkexiv2
Short Description: A library to manipulate EXIF/IPTC information
Owners: rdieter@math.unl.edu
Branches: FC-5 FC-6 devel 
InitialCC: mgarski@post.pl
Comment 12 Dennis Gilmore 2007-03-08 21:32:28 EST
Branched
Comment 13 Rex Dieter 2007-03-09 08:06:48 EST
Imported, and building, thanks.

Note You need to log in before you can comment on or make changes to this bug.